# This file created by conda-build 3.10.9+36.gd10dbde.dirty
# meta.yaml template originally from:
# /home/rdonnelly/conda/aggregate/networkx-1.11-feedstock/recipe, last modified Mon Jun 18 21:29:07 2018
# ------------------------------------------------

package:
    name: networkx
    version: '1.11'
source:
    sha256: b3e0144d5fe6b7479b694e1b598a5545a38f3fc6f1e3c09173eb30f0c7a5770e
    url: https://pypi.io/packages/source/n/networkx/networkx-1.11.zip
build:
    number: '1'
    script: python setup.py install --single-version-externally-managed --record record.txt
    string: py27_1
requirements:
    host:
        - ca-certificates 2018.03.07 0
        - certifi 2018.4.16 py27_0
        - libedit 3.1.20170329 h6b74fdf_2
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 7.2.0 hdf63c60_3
        - libstdcxx-ng 7.2.0 hdf63c60_3
        - ncurses 6.1 hf484d3e_0
        - openssl 1.0.2o h20670df_0
        - python 2.7.15 h1571d57_0
        - readline 7.0 ha6073c6_4
        - setuptools 39.2.0 py27_0
        - sqlite 3.24.0 h84994c4_0
        - tk 8.6.7 hc745277_3
        - zlib 1.2.11 ha838bed_2
    run:
        - decorator >=4.1.0
        - python >=2.7,<2.8.0a0
test:
    imports:
        - networkx
        - networkx.algorithms
        - networkx.algorithms.approximation
        - networkx.algorithms.assortativity
        - networkx.algorithms.bipartite
        - networkx.algorithms.centrality
        - networkx.algorithms.chordal
        - networkx.algorithms.coloring
        - networkx.algorithms.community
        - networkx.algorithms.components
        - networkx.algorithms.connectivity
        - networkx.algorithms.flow
        - networkx.algorithms.isomorphism
        - networkx.algorithms.link_analysis
        - networkx.algorithms.operators
        - networkx.algorithms.shortest_paths
        - networkx.algorithms.traversal
        - networkx.algorithms.tree
        - networkx.classes
        - networkx.drawing
        - networkx.generators
        - networkx.linalg
        - networkx.readwrite
        - networkx.readwrite.json_graph
        - networkx.testing
        - networkx.tests
        - networkx.utils
    requires:
        - nose >=0.10.1
about:
    description: 'NetworkX is a Python language software package for the creation,

        manipulation, and study of the structure, dynamics, and functions of complex

        networks.

        '
    dev_url: https://github.com/networkx
    doc_source_url: https://github.com/networkx/networkx/blob/v1.11/doc/source/index.rst
    doc_url: https://networkx.readthedocs.io/en/stable/
    home: https://networkx.github.io/
    license: BSD 3-Clause
    license_family: BSD
    license_file: LICENSE.txt
    summary: Python package for creating and manipulating complex networks
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - ocefpaf
        - synapticarbors
